import java.util.*;
/**
 * Diese Klasse reprsentiert den Torwart als Untertyp des Spielers.
 *
 * @see Player
 * @see DieElf
 * @author Gruppe 11 "DieElf"
 * @author <br>Ansprechpartner: <a href="mailto:rene@eDynamic.de">Ren Kubach</a>
 * @author <br>Ansprechpartner: <a href="mailto:fooxbox@web.de">Markus Fuchs</a>
 * @version $Id: Kahn.java,v 1.2 2002/07/07 21:44:45 mf Exp $
 *
 */
 
public class Kahn extends Player
{	
	public Kahn(String servername, int serverport, String teamName, int myNr, boolean monitorActive)
    {
        this.teamName = teamName;
        this.myNr = myNr;
        ServerCommunication communication = new ServerCommunication(servername, serverport);
        actions = new Actions(communication);
        eventControl = new EventControl(this,communication);
        this.monitorActive = monitorActive; 
    }
    
 	/**
	 * Mldet den Thorvart an
	 *
	 * @see Actions
	 * @param teamName vom Typ <code>String</code>, der Name des Teams
	 */
    public void init(String teamName){
    	actions.initKahn(teamName);
	}
}